
mcqDrop <-function (object, factor, levels) {
	if (is.null(levels)) {
		stop(paste("not implemented",sep=""))
	} else {
		if (is.vector(levels)) {

		}
		else {
			levels <- c(levels);
		}
	}

	if(factor != "msrun") {
if (factor %in% colnames(object@metadata@metadata)) {
	}
	else {
		stop(paste("the factor ",factor," is not described in your metadata\n",
							"available factors are : ", paste(colnames(object@metadata@metadata),collapse=", "), sep=""))
	}
}

	if (class(object) == "mcqProtPep") {

		if(factor == "msrun") {
			object@peptides <- object@peptides[!(object@peptides$msrun %in% levels),]
			object@peptides <- drop.levels(object@peptides)

			object@proteins <- object@proteins[object@proteins$peptide %in% object@peptides$peptide,]
			object@proteins <- drop.levels(object@proteins)

			object@metadata@metadata$bidon <- rownames(object@metadata@metadata)
			object@metadata@metadata <- object@metadata@metadata[!(rownames(object@metadata@metadata) %in% levels),]
			object@metadata@metadata$bidon <- NULL
			object@metadata@metadata <- drop.levels(object@metadata@metadata)
			
			object@metadata@samples$bidon <- rownames(object@metadata@samples)
			object@metadata@samples <- object@metadata@samples[!(rownames(object@metadata@samples) %in% levels),]
			object@metadata@samples$bidon <- NULL
			object@metadata@samples <- drop.levels(object@metadata@samples)

		}
		else {
			object@metadata@metadata$bidon <- rownames(object@metadata@metadata)
			msrunListToDrop <- rownames(object@metadata@metadata[object@metadata@metadata[,factor] %in% levels,])
			object@metadata@metadata <- object@metadata@metadata[!(rownames(object@metadata@metadata) %in% msrunListToDrop),]
			object@metadata@metadata$bidon <- NULL
			object@metadata@metadata <- drop.levels(object@metadata@metadata)
			
			object@metadata@samples <- object@metadata@samples[!(rownames(object@metadata@samples) %in% msrunListToDrop),]
			object@metadata@samples$bidon <- NULL
			object@metadata@samples <- drop.levels(object@metadata@samples)

			object@peptides <- object@peptides[!(object@peptides$msrun %in% msrunListToDrop),]
			object@peptides <- drop.levels(object@peptides)

			object@proteins <- object@proteins[object@proteins$peptide %in% object@peptides$peptide,]
			object@proteins <- drop.levels(object@proteins)

			#stop(paste("not implemented",sep=""))
		}

	}
	else {
		stop(paste("the class \"", class(object),"\" is not taken into account by mcqDrop",sep=""))
	}
	return (object)
}