##################### Identification d une proteine par au moins deux peptides #######################
# dans le cas de facteur a seulement deux modalites
# sinon utiliser la correlation entre peptides de la meme proteine
#
######################################################################################################

mcqSelect2pepbyprot=function(object,factorName){
	if (class(object) == "mcqProtPep") {
		if (factorName %in% colnames(object@metadata@metadata)) {
			
		}
		else {
			stop(paste("the factor ",factorName," is not described in your metadata"))
		}
		if (length(levels(object@metadata@metadata[,factorName])) > 2) {
			stop(paste("the factor ",factorName," have 3 or more states you should used process correlations"))
		}
		proteins=levels(object@proteins$protein)
		cat(paste("Nb de protéines avant sélection des protéines identifiées par aux moins 2 peptides:",length(proteins),"\n"))
		peptides=levels(object@proteins$peptide)
		cat(paste("Nb de peptides avant sélection des protéines identifiées par aux moins 2 peptides:",length(peptides),"\n"))
		
		tabcontingence=table(object@proteins$protein,object@proteins$peptide)
		countpep=apply(tabcontingence,MARGIN=1,FUN=sum)
		countpepok=countpep[-which(countpep<2)]
		protok=names(countpepok)
		object@proteins=object@proteins[object@proteins$protein %in% protok,]
		object@proteins=drop.levels(object@proteins)
		pepok=levels(object@proteins$peptide)
		object@peptides=object@peptides[object@peptides$peptide %in% pepok,]
		object@peptides=drop.levels(object@peptides)
		
		proteins=levels(object@proteins$protein)
		cat(paste("Nb de protéines après sélection des protéines identifiées par aux moins 2 peptides:",length(proteins),"\n"))
		peptides=levels(object@proteins$peptide)
		cat(paste("Nb de peptides après sélection des protéines identifiées par aux moins 2 peptides:",length(peptides),"\n"))
		
		return (object)
	
	}
	else {
		stop("input is not an mcqProtPep object")
	}
}