

read.mcqProtPep = function(protFilename, pepFilename) {
	## Lecture des données peptides
	peptides=read.table(pepFilename, header=TRUE, sep="\t", dec=".", allowEscapes = FALSE, quote="")

	### Lecture données protéines et sauvegarde dans tab.RData
# # récupération du lien protéine-peptide
# #table contenantle lien prot<->desc et lien peptide<->prot
	proteins = read.table(protFilename, header=T,sep="\t",dec=".", allowEscapes = FALSE, quote="")


	peptide_col_names = c("group","msrun","msrunfile","mz" ,"rt"   ,        "maxintensity", "area"    ,     "rtbegin"    ,
			"rtend"      ,  "peptide"   ,   "isotope"    ,  "sequence"  ,   "z"         ,   "mods" )
	for (i in peptide_col_names) {
		if(i %in% colnames(peptides))
		{
		}
		else {
			stop("ERROR : peptides dataframe does not contain expected columns\n")
			return (NULL)
		}
	}
	protein_col_names = c( "peptide"     ,        "protein",             "protein_description" )
	for (i in protein_col_names) {
		{
			if(i %in% colnames(proteins))
			{
			}
			else {
				stop("ERROR : proteins dataframe does not contain expected columns\n")
				return (NULL)
			}
		}
	}
	peptides$peptiz=as.factor(paste(peptides$peptide,peptides$z,sep='-'))
	peptides$logarea=log10(peptides$area)

	# isolement du nom du descripteur
	proteins$accession=substr(proteins$protein_description,1,regexpr(" ",proteins$protein_description)-1)
	#proteins$descr=proteins$protein_description

	mcqProtPep <- new ("mcqProtPep", peptides = peptides	, proteins = proteins)
	rm (peptides)
	rm (proteins)
	return(mcqProtPep)
}


