\name{mcqCutoffRetentionTimeSd}
\alias{mcqCutoffRetentionTimeSd}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{drops peptides quantifications if the standard deviation of the retention time of the XIC peak is higher to a threshold
%%  ~~function to do ... ~~
}
\description{
The standard deviation is computed for each peptide quantified among all samples. Given that the same peptide should have the same
retention time in all samples, the standard deviation should not be greater than a user defined value.
If a peptide has a retention time higher than the threshold, we consider these measures as not reliable and these quantifications are
simply dropped from the data pool.
}
\usage{
mcq <- mcqCutoffRetentionTimeSd(mcq, cutoff)
}
%- maybe also 'usage' for other objects documented here.
\arguments{

\describe{
    \item{\code{mcqProtPep}:}{Object of class \code{"mcqProtpep"} or \code{"mcqData"} }
    \item{\code{cutoff}:}{numeric values defining the maximum allowed retention time standard deviation }
  }
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
protPep <- read.mcqProtPep('prot.tsv', 'pep.tsv');
mcqPlotPeakWidth(protPep)
mcqPlotRetentionTimeSd(protPep)
protPep <- mcqCutoffRetentionTimeSd(protPep, 15)


}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
